import { SYSTEM } from "../config/system.mjs"

export default class HamalronSortilege extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}
    const requiredInteger = { required: true, nullable: false, integer: true }

    schema.description = new fields.HTMLField({ required: true, textSearch: true })

    schema.categorie = new fields.StringField({ required: true, initial: "malefica", choices: Object.fromEntries(Object.entries(SYSTEM.SORTILEGE_CATEGORIES).map(([key, val]) => [key, val.label])) })
    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HAMALRON.Ritual"]

}
